Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGLength

public interface SVGLength

Field Summary
`static short` | `SVG_LENGTHTYPE_CM`
`static short` | `SVG_LENGTHTYPE_EMS`
`static short` | `SVG_LENGTHTYPE_EXS`
`static short` | `SVG_LENGTHTYPE_IN`
`static short` | `SVG_LENGTHTYPE_MM`
`static short` | `SVG_LENGTHTYPE_NUMBER`
`static short` | `SVG_LENGTHTYPE_PC`
`static short` | `SVG_LENGTHTYPE_PERCENTAGE`
`static short` | `SVG_LENGTHTYPE_PT`
`static short` | `SVG_LENGTHTYPE_PX`
`static short` | `SVG_LENGTHTYPE_UNKNOWN`

Method Summary
`void` | `convertToSpecifiedUnits(short unitType)`
`short` | `getUnitType()`
`float` | `getValue()`
`java.lang.String` | `getValueAsString()`
`float` | `getValueInSpecifiedUnits()`
`void` | `newValueSpecifiedUnits(short unitType, float valueInSpecifiedUnits)`
`void` | `setValue(float value)`
`void` | `setValueAsString(java.lang.String valueAsString)`
`void` | `setValueInSpecifiedUnits(float valueInSpecifiedUnits)`

Field Detail

### SVG_LENGTHTYPE_UNKNOWN

    public static final short SVG_LENGTHTYPE_UNKNOWN

### SVG_LENGTHTYPE_NUMBER

    public static final short SVG_LENGTHTYPE_NUMBER

### SVG_LENGTHTYPE_PERCENTAGE

    public static final short SVG_LENGTHTYPE_PERCENTAGE

### SVG_LENGTHTYPE_EMS

    public static final short SVG_LENGTHTYPE_EMS

### SVG_LENGTHTYPE_EXS

    public static final short SVG_LENGTHTYPE_EXS

### SVG_LENGTHTYPE_PX

    public static final short SVG_LENGTHTYPE_PX

### SVG_LENGTHTYPE_CM

    public static final short SVG_LENGTHTYPE_CM

### SVG_LENGTHTYPE_MM

    public static final short SVG_LENGTHTYPE_MM

### SVG_LENGTHTYPE_IN

    public static final short SVG_LENGTHTYPE_IN

### SVG_LENGTHTYPE_PT

    public static final short SVG_LENGTHTYPE_PT

### SVG_LENGTHTYPE_PC

    public static final short SVG_LENGTHTYPE_PC

Method Detail

### getUnitType

    public short getUnitType()

### getValue

    public float getValue()

### setValue

    public void setValue(float value)
                  throws DOMException

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float valueInSpecifiedUnits)
                                  throws DOMException

### getValueAsString

    public java.lang.String getValueAsString()

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)
                          throws DOMException

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unitType,
                                       float valueInSpecifiedUnits)

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unitType)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD